Back to Douyin
TikHub·Douyin
Douyin Web: Get single video data by sharing link
/api/v1/douyin/web/fetch_one_video_by_share_urlsync$0.0015 / callGet single video data by sharing link (Essentially implemented based on the /fetchonevideo interface, it is recommended to obtain the video ID by yourself to improve the interface response speed). The returned video quality is higher than the APP interface, but the response fields are not as many as the APP interface. (TikHub · Douyin Web)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| share_url | string | yes | Share link |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/douyin/web/fetch_one_video_by_share_url","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.